Subject: bug#43532: [feature/native-comp] *.eln file name hashing, algorithm doesn't seem to play nice with NATIVE_FULL_AOT and self-contained, Emacs.app builds for macOS

From: Andrew Whatson <[email-masked]>
Date: Wed, 14 Oct 2020 10:12:58 +1000

Hi Andrea,

I see similar problems with my Guix builds of emacs-native-comp.  I
run with deferred compilation disabled, so the native versions of core
elisp packages are simply not loaded.

As a workaround, I've had success copying
`/path/to/emacs/lib/emacs/28.0.50/native-lisp/.../*.eln` into
`~/.emacs.d/eln-cache/.../`.  The native-compiled code is then loaded
correctly as expected.

Perhaps this helps to narrow down the problem; seems it's not a
hashing problem, but a load-path one?

Cheers,
Andrew